Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.tiff
Class DateValueFormatter

    java.lang.Object
      org.monte.media.tiff.DateValueFormatter

All Implemented Interfaces:
  ValueFormatter

    public class DateValueFormatter

extends java.lang.Object
implements ValueFormatter

DateValueFormatter.

Version:
  1.0 2010-07-24 Created.
Author:
  Werner Randelshofer

Constructor Summary
`DateValueFormatter()`

Method Summary
`java.lang.String` | `descriptionFormat(java.lang.Object data)` Describes the data.
`java.lang.Object` | `format(java.lang.Object value)` Formats the specified value.
`java.lang.Object` | `prettyFormat(java.lang.Object value)` Formats the specified value in a human readable format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateValueFormatter

    public DateValueFormatter()

Method Detail

### format

    public java.lang.Object format(java.lang.Object value)

  Description copied from interface: `ValueFormatter`
  Formats the specified value. If the value is of the desired type, it is replaced by an object which can be handled easier. For example, an integer value by a descriptive String.

  Specified by:
    `format` in interface `ValueFormatter`

### prettyFormat

    public java.lang.Object prettyFormat(java.lang.Object value)

  Description copied from interface: `ValueFormatter`
  Formats the specified value in a human readable format.

  Specified by:
    `prettyFormat` in interface `ValueFormatter`

### descriptionFormat

    public java.lang.String descriptionFormat(java.lang.Object data)

  Description copied from interface: `ValueFormatter`
  Describes the data. Returns null if no description is available.

  Specified by:
    `descriptionFormat` in interface `ValueFormatter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD